Debian Bug report logs - #292684
ITP: libnet-dbus-perl -- Perl extension for the DBus message system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ms419@freezone.co.uk

Date: Fri, 28 Jan 2005 19:33:01 UTC

Owned by: ms419@freezone.co.uk

Severity: wishlist

Fixed in version libnet-dbus-perl/0.33.3-1

Done: Thomas Huriaux <thomas.huriaux@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: submit@bugs.debian.org
Cc: Richard Clamp <richardc@unixbeard.net>, libhowl maintainer <jdub@perkypants.org>
Subject: ITP: libnet-rendezvous-publish-backend-howl-perl -- Perl interface to Howl Zeroconf library
Date: Fri, 28 Jan 2005 11:22:54 -0800
Package: wnpp
Severity: wishlist

http://cgi.sfu.ca/~jdbates/debian/pool/libnet-rendezvous-publish-perl/

Richard Clamp's useful Zeroconf multicast DNS ("Rendezvous") Perl 
library - Howl backend. Allows advertising services from Perl - such as 
HTTP, SSH, etc - in addition to DPAP, etc, for sharing photos with 
iPhoto.

This is the Debian package for the Net-Rendezvous-Publish-Backend-Howl 
module.
It was created by Jack Bates <ms419@freezone.co.uk> using dh-make-perl.

The upstream author is Richard Clamp <richardc@unixbeard.net>.

Copyright 2004, Richard Clamp. All Rights Reserved.

This program is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Perl is distributed under your choice of the GNU General Public License 
or
the Artistic License. On Debian GNU/Linux systems, the complete text of 
the
GNU General Public License can be found in 
`/usr/share/common-licenses/GPL'
and the Artistic Licence in `/usr/share/common-licenses/Artistic'.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 292684@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: ms419@freezone.co.uk
Cc: 292684@bugs.debian.org, Richard Clamp <richardc@unixbeard.net>
Subject: Re: ITP: libnet-rendezvous-publish-backend-howl-perl -- Perl interface to Howl Zeroconf library
Date: Sun, 30 Jan 2005 15:20:43 +1100
<quote who="ms419@freezone.co.uk">

> Package: wnpp Severity: wishlist
> 
> http://cgi.sfu.ca/~jdbates/debian/pool/libnet-rendezvous-publish-perl/
> 
> Richard Clamp's useful Zeroconf multicast DNS ("Rendezvous") Perl library
> - Howl backend. Allows advertising services from Perl - such as HTTP, SSH,
> etc - in addition to DPAP, etc, for sharing photos with iPhoto.

You guys should refer to #281247 in the Debian BTS before doing too much
work on this...

- Jeff

-- 
GUADEC 2005: Stuttgart, Germany                      http://2005.guadec.org/
 
                            "How was the opera?"
                     "The seats were very comfortable."



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: Jeff Waugh <jdub@perkypants.org>
Cc: 292684@bugs.debian.org, Richard Clamp <richardc@unixbeard.net>
Subject: Re: ITP: libnet-rendezvous-publish-backend-howl-perl -- Perl interface to Howl Zeroconf library
Date: Sun, 30 Jan 2005 08:54:28 -0800
On Jan 29, 2005, at 8:20 PM, Jeff Waugh wrote:
> <quote who="ms419@freezone.co.uk">
>> Package: wnpp Severity: wishlist
>>
>> http://cgi.sfu.ca/~jdbates/debian/pool/libnet-rendezvous-publish-perl/
>>
>> Richard Clamp's useful Zeroconf multicast DNS ("Rendezvous") Perl 
>> library
>> - Howl backend. Allows advertising services from Perl - such as HTTP, 
>> SSH,
>> etc - in addition to DPAP, etc, for sharing photos with iPhoto.
>
> You guys should refer to #281247 in the Debian BTS before doing too 
> much
> work on this...

Cool - thanks for your feedback, Jeff! I'll look & see what happens 
when mDNSResponder isn't running

Jack




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: Jeff Waugh <jdub@perkypants.org>
Cc: 292684@bugs.debian.org, Richard Clamp <richardc@unixbeard.net>
Subject: Re: ITP: libnet-rendezvous-publish-backend-howl-perl -- Perl interface to Howl Zeroconf library
Date: Wed, 16 Feb 2005 11:12:07 -0800
On Jan 29, 2005, at 8:20 PM, Jeff Waugh wrote:

> <quote who="ms419@freezone.co.uk">
>
>> Package: wnpp Severity: wishlist
>>
>> http://cgi.sfu.ca/~jdbates/debian/pool/libnet-rendezvous-publish-perl/
>>
>> Richard Clamp's useful Zeroconf multicast DNS ("Rendezvous") Perl 
>> library
>> - Howl backend. Allows advertising services from Perl - such as HTTP, 
>> SSH,
>> etc - in addition to DPAP, etc, for sharing photos with iPhoto.
>
> You guys should refer to #281247 in the Debian BTS before doing too 
> much
> work on this...

Thanks Jeff - I reproduced this bug - mdnsresponder must be running, or 
I get -


	[...]
	[assert] error: 111 (Connection refused)
	[assert] where: "socket.c", "sw_socket_tcp_connect", line: 720

	init failed at /usr/lib/perl5/Net/Rendezvous/Publish/Backend/Howl.pm 
line 14, <DATA> line 1.
	Use of uninitialized value in subroutine entry at 
/usr/lib/perl5/Net/Rendezvous/Publish/Backend/Howl.pm line 21, <DATA> 
line 1.
	        (in cleanup) self is not of type sw_rendezvous at 
/usr/lib/perl5/Net/Rendezvous/Publish/Backend/Howl.pm line 21, <DATA> 
line 1.
	[...]


I added documentation to README.Debian that mdnsresponder must be 
running & rebuilt libnet-rendezvous-publish-backend-howl-perl 
(http://cgi.sfu.ca/~jdbates/moin/moin.cgi/NetRendezvousPublish)

Do you think this needs a superior resolution before this package can 
enter Debian?

Thanks again!

Jack




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeff Waugh <jdub@perkypants.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 292684@bugs.debian.org (full text, mbox):

From: Jeff Waugh <jdub@perkypants.org>
To: ms419@freezone.co.uk
Cc: 292684@bugs.debian.org, Richard Clamp <richardc@unixbeard.net>
Subject: Re: ITP: libnet-rendezvous-publish-backend-howl-perl -- Perl interface to Howl Zeroconf library
Date: Thu, 17 Feb 2005 06:20:07 +1100
<quote who="ms419@freezone.co.uk">

> >You guys should refer to #281247 in the Debian BTS before doing too much
> >work on this...
> 
> Thanks Jeff - I reproduced this bug - mdnsresponder must be running, or I
> get -

> Do you think this needs a superior resolution before this package can 
> enter Debian?

Oh man, I'm really sorry, I pasted the wrong bug number. It's this one you
should be worried about. Apologies.

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289856

- Jeff

-- 
linux.conf.au 2005: April 18th-23rd                    http://linux.conf.au/
 
    "Gah. Out of coffee. Shall think whilst auto-caffeinating." - Telsa
                                   Gwynne



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: 292684@bugs.debian.org
Subject: new versions
Date: Sun, 29 Jan 2006 00:56:48 -0800
[Message part 1 (text/plain, inline)]
New versions of libnet-rendezvous-publish-backend-howl-perl &
libnet-rendezvous-publish-perl -
http://cgi.sfu.ca/~jdbates/debian/pool/libnet-rendezvous-publish-perl/

libnet-rendezvous-publish-backend-howl-perl now uses the Avahi Howl
compatibility library

Am still seeking a sponsor for this package

Many thanks!

Jack
[signature.asc (application/pgp-signature, inline)]

Owner recorded as ms419@freezone.co.uk. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from ms419@freezone.co.uk to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel P. Berrange <dan@berrange.com>, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to Daniel P. Berrange <dan@berrange.com>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #39 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: 292684@bugs.debian.org
Subject: ITP: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Thu, 8 Jun 2006 09:10:53 -0700
[Message part 1 (text/plain, inline)]
Net::Rendezvous::Publish::Backend::Avahi is preferable to
libnet-rendezvous-publish-backend-howl -
http://search.cpan.org/~jablko/Net-Rendezvous-Publish-Backend-Avahi-0.02/

Net::Rendezvous::Publish::Backend::Avahi is pure Perl, so can be
installed easily from CPAN. It depends on Net::DBus -
http://cgi.sfu.ca/~jdbates/debian/pool/libnet-dbus-perl/

 Net::DBus provides a Perl API for the DBus message system.
 The DBus Perl interface is currently operating against
 the 0.32 development version of DBus, but should work with
 later versions too, providing the API changes have not been
 too drastic.
 .
 Users of this package are either typically, service providers
 in which case the Net::DBus::Service and Net::DBus::Object
 modules are of most relevance, or are client consumers, in
 which
 case Net::DBus::RemoteService and Net::DBus::RemoteObject
 are of most relevance.

This is the debian package for the Net-DBus module.
It was created by Jack Bates <ms419@freezone.co.uk> using dh-make-perl.

The upstream author is:

Daniel Berrange <dan@berrange.com>.

Copyright (C) 2004-2006 Daniel Berrange

This library is provided under the terms of the GNU GPL

On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL'.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #44 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: 292684@bugs.debian.org
Subject: Re: RFS: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Fri, 16 Jun 2006 11:02:57 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jun 12, 2006 at 11:44:43PM +0100, Stephen Gran wrote:
> You have dh-make-perl cruft in debian/rules, copyright and control -
> please fix those up.  This is mostly harmless boilerplate and extra
> comments that aren't needed, but I like to see all the files have what
> you need and no more.

Thanks - fixed control & copyright, but prefer to keep comments in
rules.  I find them useful, they're tidy, & at least they reduce the
size of diff when I upgrade to new versions of dh-make-perl's template

> There is a lintian warning and an error.  Both are easily fixable -
> please let me know if you don't understand the problems.

Thanks again - you're right, easily fixed.  Done

http://cgi.sfu.ca/~jdbates/debian/pool/libnet-dbus-perl/

Thanks for your interest!  Best wishes - Jack
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #49 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: 292684@bugs.debian.org
Subject: Re: RFS: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Tue, 20 Jun 2006 22:48:30 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jun 12, 2006 at 11:44:43PM +0100, Stephen Gran wrote:
> You have dh-make-perl cruft in debian/rules, copyright and control -
> please fix those up.  This is mostly harmless boilerplate and extra
> comments that aren't needed, but I like to see all the files have what
> you need and no more.

Thanks - fixed control & copyright, but prefer to keep comments in
rules.  I find them useful, they're tidy, & at least they reduce the
size of diff when I upgrade to new versions of dh-make-perl's template

> There is a lintian warning and an error.  Both are easily fixable -
> please let me know if you don't understand the problems.

Thanks again - you're right, easily fixed.  Done

http://cgi.sfu.ca/~jdbates/debian/pool/libnet-dbus-perl/

Thanks for your interest!  Best wishes - Jack
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #54 received at 292684@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: 292684@bugs.debian.org
Subject: RFS: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Sat, 8 Jul 2006 09:52:31 -0700
[Message part 1 (text/plain, inline)]
http://cgi.sfu.ca/~jdbates/debian/pool/libnet-dbus-perl/

 * New upstream version
 * Changed debian/copyright to match new license
 * Enabled tests - http://rt.cpan.org/Public/Bug/Display.html?id=16707
 * Changed from libxml-grove-perl to libxml-twig-perl

Thanks for the work Dan - thanks for fixing the tests!

This module is of quite high quality.  I happily use it -
http://search.cpan.org/~jablko/Net-Rendezvous-Publish-Backend-Avahi-0.02/

The author agrees to get it into Debian.  I am still looking for a
sponsor

 Net::DBus provides a Perl API for the DBus message system.
 The DBus Perl interface is currently operating against
 the 0.32 development version of DBus, but should work with
 later versions too, providing the API changes have not been
 too drastic.
 .
 Users of this package are either typically, service providers
 in which case the Net::DBus::Service and Net::DBus::Object
 modules are of most relevance, or are client consumers, in which
 case Net::DBus::RemoteService and Net::DBus::RemoteObject
 are of most relevance.

This is the debian package for the Net-DBus module
It was created by Jack Bates <ms419@freezone.co.uk> using dh-make-perl

The upstream author is: Daniel Berrange <dan@berrange.com>

Copyright (C) 2004-2006 Daniel Berrange.  All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same
terms as Perl itself

Perl is distributed under your choice of the GNU General Public License or
the Artistic License.  On Debian GNU/Linux systems, the complete text of the
GNU General Public License can be found in `/usr/share/common-licenses/GPL'
and the Artistic Licence in `/usr/share/common-licenses/Artistic'

Many thanks - Jack
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@knars.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #59 received at 292684-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@knars.be>
To: ms419@freezone.co.uk
Cc: 292684-quiet@bugs.debian.org, Daniel Holbach <daniel.holbach@ubuntu.com>
Subject: ITP: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Tue, 01 Aug 2006 18:56:26 +0200
[Message part 1 (text/plain, inline)]
Hi Jack,

Have you noticed that libnet-dbus-perl is in Ubuntu ?  Maybe you want to
copy Daniel's package from Ubuntu to Debian.

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #64 received at 292684-quiet@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: Bart Martens <bartm@knars.be>
Cc: ms419@freezone.co.uk, 292684-quiet@bugs.debian.org
Subject: Re: ITP: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Tue, 01 Aug 2006 19:20:31 +0200
Hello everybody,

On Di, 2006-08-01 at 18:56 +0200, Bart Martens wrote:
> Have you noticed that libnet-dbus-perl is in Ubuntu ?  Maybe you want to
> copy Daniel's package from Ubuntu to Debian.

thanks Bart for CCing me. It'd be nice to have libnet-dbus-perl in
Debian too. So if you want to take over maintenance, I'm only too happy.

I packaged it because system-tools-backends (part of the
gnome-system-tools stack) uses it since the 2.15 releases.

If you need anything, just drop me a mail.

Have a nice day,
 Daniel





Information stored:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ms419@freezone.co.uk:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #69 received at 292684-quiet@bugs.debian.org (full text, mbox):

From: ms419@freezone.co.uk
To: Daniel Holbach <daniel.holbach@ubuntu.com>
Cc: Bart Martens <bartm@knars.be>, Stephen Gran <sgran@debian.org>, 292684-quiet@bugs.debian.org, dan@berrange.com, debian-mentors@lists.debian.org, debian-perl@lists.debian.org
Subject: RFS: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Wed, 9 Aug 2006 12:36:19 -0700
[Message part 1 (text/plain, inline)]
On Tue, Aug 01, 2006 at 07:20:31PM +0200, Daniel Holbach wrote:
> thanks Bart for CCing me. It'd be nice to have libnet-dbus-perl in
> Debian too. So if you want to take over maintenance, I'm only too happy.
> 
> I packaged it because system-tools-backends (part of the
> gnome-system-tools stack) uses it since the 2.15 releases.
> 
> If you need anything, just drop me a mail.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=292684

http://cgi.sfu.ca/~jdbates/debian/pool/libnet-dbus-perl/

Thanks for your message Daniel Holbach - I'm glad to see more interest
in the Perl DBus bindings!

I'm super keen to get libnet-dbus-perl into Debian.  I use it for some
projects [1]

Also I've corresponded with the author - Daniel Berrange is generous to
credit me in AUTHORS

So I feel prepared to maintain this package.  If you are able to help
find a sponsor to upload it, that'd be awesome!

Thanks again, Jack

[1] http://search.cpan.org/~jablko/Net-Rendezvous-Publish-Backend-Avahi-0.02/
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#292684; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #74 received at 292684-quiet@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: ms419@freezone.co.uk
Cc: Bart Martens <bartm@knars.be>, Stephen Gran <sgran@debian.org>, 292684-quiet@bugs.debian.org, dan@berrange.com, debian-mentors@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: RFS: libnet-dbus-perl -- Perl extension for the DBus message system
Date: Wed, 09 Aug 2006 22:01:25 +0200
[Message part 1 (text/plain, inline)]
Hello Jack,

On Mi, 2006-08-09 at 12:36 -0700, ms419@freezone.co.uk wrote:
> So I feel prepared to maintain this package.  If you are able to help
> find a sponsor to upload it, that'd be awesome!

I'm sorry, but I'm not a Debian maintainer myself, so I can't help you
there. I'll just be happy to share my efforts.

But I'm happy you want to step up to the task of maintaining it.
Great! :-)

Have a nice day,
 Daniel

[signature.asc (application/pgp-signature, inline)]

Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ms419@freezone.co.uk:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #79 received at 292684-close@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: 292684-close@bugs.debian.org
Subject: closing old ITP bug
Date: Sun, 13 Aug 2006 14:30:15 +0200
[Message part 1 (text/plain, inline)]
Source: libnet-dbus-perl
Source-Version: 0.33.3-1

-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:45:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:20:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.